Subject: Re: [PATCH] powerpc/powernv: Tell OPAL about our MMU mode

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 29 Jun 2017 08:53:00 -0500

On Thu, 2017-06-29 at 15:24 +1000, Michael Ellerman wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > On Wed, 2017-06-28 at 15:17 +1000, Michael Ellerman wrote:
> > > Which doesn't really make sense. FSP says it's running (runtime).
> > > 
> > > The end of the OPAL log is below.
> > > 
> > > I think your patch means we're now calling slw_reinit(), whereas
> > > previously we would skip it?
> > 
> > Ugh... and slw_reinit() is somewhat broken I suppose these days. Drat.
> > 
> > Mikey, we probably need to key that off arch 300 or check for a DT prop
> > skiboot would put in that tells Linux it can do this.
> 
> DT prop of accepted reinit flags seems like it would work.
> 
> No prop means HILE_LE/HILE_BE

Maybe... The bug is only with p8 (and I'm changing skiboot to fix
even that) so I think I may just key off ARCH300... we'll see when I
get back to it, got bogged down with other things.

Ben.